Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3373 - 'exec' feature creates zombie processes
Summary: 'exec' feature creates zombie processes
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: swatch
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-09 20:51 UTC by rotten
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 17:22:21 UTC


Attachments (Terms of Use)

Description rotten 1999-06-09 20:51:04 UTC
When using the 'exec=command' feature in the 2nd
tab-deliminated field of the ~/.swatchrc, the command
executed does not terminate properly when it is finished--
it becomes a zombie process, every time (this has been
tested using such innocuous commands as 'exec=echo').

When swatch is triggered enough times, the zombie processes
build up, eventually filling the process table and thus
requiring a reboot.

Comment 1 Alan Cox 1999-06-12 15:19:59 UTC
You can clear the zombies by killing their parent. So killing swatch
will clean up the stuff it fails to wait for.
(Not a fix but avoids reboots)


------- Additional Comments From   06/12/99 12:44 -------
Not to split hairs, but I think it is worth noting that killing swatch
will not successfully clean up the zombie processes, nor prevent more
from being spawned... it is necessary to kill perl itself.
And a side note-- this bug is particularly detrimental on unattended
machines, since killing perl isn't an option in that situation.

Comment 2 Jay Turner 1999-06-29 15:10:59 UTC
This issue has been forwarded to a developer for further action.

Comment 3 Preston Brown 1999-08-31 17:22:59 UTC
fixed in swatch-2.2-8 and later, available soon in RawHide and
eventually our next release.


Note You need to log in before you can comment on or make changes to this bug.